package com.duiba.tuia.youtui.web.model.rsp;

import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

public class RankInfoRsp {

    // 排名
    private Long rank;

    private Double amount;

    // 排行榜
    private List<Leaderboards> leaderboards;

    //券
    Map<String, Object> lottery;

    //埋点信息
    JSONObject embed;

    public Map<String, Object> getLottery() {
        return lottery;
    }

    public void setLottery(Map<String, Object> lottery) {
        this.lottery = lottery;
    }

    public Long getRank() {
        return rank;
    }

    public void setRank(Long rank) {
        this.rank = rank;
    }

    public List<Leaderboards> getLeaderboards() {
        return leaderboards;
    }

    public void setLeaderboards(List<Leaderboards> leaderboards) {
        this.leaderboards = leaderboards;
    }

    public JSONObject getEmbed() {
        return embed;
    }

    public void setEmbed(JSONObject embed) {
        this.embed = embed;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public static class Leaderboards {

        // 中奖金额
        private Double amount;

        // 用户名
        private String userName;

        //用户ID
        private Long userId;

        public Double getAmount() {
            return amount;
        }

        public void setAmount(Double amount) {
            this.amount = amount;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public Long getUserId() {
            return userId;
        }

        public void setUserId(Long userId) {
            this.userId = userId;
        }
    }

}
